﻿var jsonBldg;
var jsonType = JSON.parse(localStorage.TypeList);
var jsonGrade = JSON.parse(localStorage.GradeList);
var jsonCity = JSON.parse(localStorage.CityList);

(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {

        $("#ipt_city").click(function () {
            ShowPage($(this));
        });
        
        var url = location.href;
        var bldgInfo = getParameter(url, "bldgInfo");
        bldgInfo = decodeURIComponent(bldgInfo);

        if (bldgInfo.length == 0)
            jsonBldg = null;
        else
            jsonBldg = JSON.parse(bldgInfo);

        InitBldgPage();
        
        $("#ipt_bldgName").change(function () {
            jsonBldg.bldgName = $.trim($(this).val());
        });
        $("#ipt_cityId").change(function () {
            jsonBldg.cityId = $(this).val();
        });
        $("#sel_bldgType").change(function () {
            jsonBldg.bldgType = $(this).val();
            UpdateGradeList(jsonBldg.bldgType);
            var typeName = $(this).find("option:selected").text();
            if (typeName == "酒店")
                $("#lbl_floorValue").text("标准层客房数量:");
            else
                $("#lbl_floorValue").text("标准层建筑面积:");
        });
        $("#sel_bldgGrade").change(function () {
            jsonBldg.bldgGrade = $(this).val();
        });
        $("#ipt_bldgHeight").change(function () {
            jsonBldg.bldgHeight = $.trim($(this).val());
        });
        $("#ipt_bldgFloors").change(function () {
            jsonBldg.bldgFloors = $.trim($(this).val());
        });
        $("#ipt_floorValue").change(function () {
            jsonBldg.floorValue = $.trim($(this).val());
        });
        $("#btn_no").click(function () {
            navigator.notification.confirm('您确定要返回项目列表页面，而不保存当前的修改内容吗？', function (buttonIndex) {
                if (buttonIndex == 2) {
                    window.location = "ProjectList.html";
                }
            }, '取消保存', ['取消', '确定']);
        });
        /**/
        $("#btn_yes").click(function () {
            $("#sel_bldgType").trigger("change");
            $("#sel_bldgGrade").trigger("change");
            if(jsonBldg.bldgName=="")
                navigator.notification.alert("请输入项目名称", function () { return false; }, "录入数据错误", '确定');
            else if (jsonBldg.cityId == "" || jsonBldg.cityId ==0)
                navigator.notification.alert("请选择项目所在的城市", function () { return false; }, "录入数据错误", '确定');
            else if(jsonBldg.bldgHeight == "" || jsonBldg.bldgHeight == 0)
                navigator.notification.alert("请输入有效的项目地上建筑高度", function () { return false; }, "录入数据错误", '确定');
            else if (jsonBldg.bldgFloors == "" || jsonBldg.bldgFloors == 0)
                navigator.notification.alert("请输入有效的项目地上楼层数", function () { return false; }, "录入数据错误", '确定');
            else if(jsonBldg.floorValue == "" || jsonBldg.floorValue == 0)
            {
                var Message = "请输入有效的";
                var typeName = $("#sel_bldgType").find("option:selected").text();
                if (typeName == "酒店")
                    Message += "标准层客房数量";
                else
                    Message += "标准层建筑面积";
                navigator.notification.alert(Message, function () { return false; }, "录入数据错误", '确定');
            }
            else {
                var Pmt = "";
                var pageUrl = "";

                if (jsonBldg.bldgId.length == 0) {
                    pageUrl = "bldgInfo/add?";
                }
                else {
                    pageUrl = "bldgInfo/upinfo?";
                    Pmt += "bldgId=" + jsonBldg.bldgId;
                    Pmt += "&userId=" + jsonBldg.userId;
                    Pmt += "&";
                }
                Pmt += "bldgName="+jsonBldg.bldgName;
                Pmt += "&cityId="+jsonBldg.cityId;
                Pmt += "&bldgType="+jsonBldg.bldgType;
                Pmt += "&bldgGrade=" + jsonBldg.bldgGrade;
                Pmt += "&bldgHeight=" + jsonBldg.bldgHeight;
                Pmt += "&bldgFloors=" + jsonBldg.bldgFloors;
                Pmt += "&floorHeight=0";
                Pmt += "&floorValue=" + jsonBldg.floorValue;

                var pagePmt = Pmt;
                var rtnData = accessServer(pageUrl, pagePmt);
                if (rtnData == null)
                    return;
                else {
                    if (rtnData.respCode == "OK") {
                        //获取成功
                        if (jsonBldg.bldgId.length == 0)
                            jsonBldg.bldgId = rtnData.bldgId;
                        navigator.notification.confirm('项目信息已保存成功，是否进入标准评估页面？选择否将返回项目列表。', function (buttonIndex) {
                            if (buttonIndex == 1) {
                                window.location = "ProjectList.html";
                            }
                            if (buttonIndex == 2) {
                                window.location = "questionnaire.html?bldgId=" + jsonBldg.bldgId;
                            }
                        }, '保存项目信息成功', ['否', '是']);
                    }
                    else {
                        //获取失败
                        navigator.notification.alert(
                             rtnData.respDesc,  // message
                             function () {
                                 return;
                             },         // callback
                            '保存项目信息失败',            // title
                            '确定'                 // buttonName
                        );
                        return false;
                    }
                }
                
            }
            
            /**/
        });
    };
})();
function InitBldgPage()
{
    if (jsonBldg == null || jsonBldg.length == 0) {
        //新增项目
        jsonBldg = { bldgFloors: 0, bldgGrade: 0, bldgHeight: 0, bldgId: '', bldgName: '', bldgType: 0, cityId: 0, floorValue: 0 }
    }

    //生成项目类型选项
    $.each(jsonType, function (i, j) {
        var htmlCode = "<option value=" + j.typeId;
        if (jsonBldg.bldgId == "" && i==0)
        {
            jsonBldg.bldgType = j.typeId;
        }
        if (jsonBldg.bldgType == j.typeId) {
            htmlCode += " selected"
        }
        htmlCode += " >" +j.typeName + "</option>";
        $("#sel_bldgType").append(htmlCode);
    });
    //生成项目定位选项
    UpdateGradeList(jsonBldg.bldgType);
    
    $("#ipt_bldgName").val(jsonBldg.bldgName);
    $("#ipt_cityId").val(jsonBldg.cityId);
    $.each(jsonCity, function (i, j) {
        if (jsonBldg.cityId == j.id) {
            $("#ipt_city").val(j.name);
            return false;
        }
    });
    $("#ipt_bldgHeight").val(jsonBldg.bldgHeight);
    $("#ipt_bldgFloors").val(jsonBldg.bldgFloors);
    $("#ipt_floorValue").val(jsonBldg.floorValue);
}

function UpdateGradeList(typeId)
{
    $("#sel_bldgGrade").html("");
    $.each(jsonGrade, function (i, j) {
        if (jsonBldg.bldgType != j.typeId)
            return;
        var htmlCode = "<option value=" + j.gradeId + " data-typeId=" + j.typeId;
        if (jsonBldg.bldgGrade == j.gradeId) {
            htmlCode += " selected";
        }
        htmlCode += " >" + j.gradeName + "</option>";
        $("#sel_bldgGrade").append(htmlCode);
    });
}