﻿var listPage = 1;

(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {
        
        getbldgTypeList();      //获取建筑类型列表
        getbldgGradeList();     //获取建筑定位列表
        getCityList();          //获取城市列表
        getProjectList();       //获取项目列表
        
        var nScrollHight = 0; //滚动距离总长(注意不是滚动条的长度)
        var nScrollTop = 0;   //滚动到的当前位置
        var nDivHight = $("div.div_body_list").height();
        $("div.div_body_list").scroll(function () {
            nScrollHight = $(this)[0].scrollHeight - 1;
            nScrollTop = $(this)[0].scrollTop;
            if (nScrollTop + nDivHight >= nScrollHight)
            {
                getProjectList();
            }
        });

        $("#menu").click(function (e) {
            ShowMenu();
        });
        $("body").on("click", "#MenuBackground", function (e) {
            HideMenu();
        });
        $("body").on("click", ".menu_item", function (e) {
            ClickMenu($(this).attr("data"));
        });
        
        $("#btn_search").click(function (e) {
            getProjectList();
        });
        $("#sel_type").change(function (e) {
            getProjectList();
        });

        $("#btn_add").click(function (e) {
            window.location = "ProjectInfo.html?bldgInfo=";
        });
        $("#btn_del").click(function (e) {
            $("table.tb_gba").hide();
            $("table.tb_opt").show();
            $("table.tb_opt td span").text("删除");
            $("#bb_opt").hide();
            $("#bb_done").show();
        });
        $("#btn_edit").click(function (e) {
            $("table.tb_gba").hide();
            $("table.tb_opt").show();
            $("table.tb_opt td span").text("编辑");
            $("#bb_opt").hide();
            $("#bb_done").show();
        });
        $("#btn_done").click(function (e) {
            $("table.tb_opt").hide();
            $("table.tb_gba").show();
            $("#bb_done").hide();
            $("#bb_opt").show();
        });
        //编辑或删除事件响应
        $("table.tb_opt").on("touchstart", "span", function (e) {
            e.preventDefault();
            var bldgOpt = $(this).text();
            var bldgInfo = $(this).attr("data-bldg");
            switch(bldgOpt)
            {
                case "编辑":
                    window.location = "ProjectInfo.html?bldgInfo=" + bldgInfo;
                    break;
                case "删除":
                    if (dropProject(bldgInfo))
                    {
                        var pro = $(this).parent().parent().parent().parent().parent().parent();
                        $(pro).remove();
                    }
                    break;
            }
        });
        $("table.tb_opt").on("click", "span", function (e) {
            e.preventDefault();
            var bldgOpt = $(this).text();
            var bldgInfo = $(this).attr("data-bldg");
            switch (bldgOpt) {
                case "编辑":
                    window.location = "ProjectInfo.html?bldgInfo=" + bldgInfo;
                    break;
                case "删除":
                    if (dropProject(bldgInfo)) {
                        var pro = $(this).parent().parent().parent().parent().parent().parent();
                        $(pro).remove();
                    }
                    break;
            }
        });
        //进入问卷事件响应toQst
        $("table.tb_gba").on("touchstart", "span", function (e) {
            e.preventDefault();
            var bldgId = $(this).attr("data-bldg");
            var countQ = $(this).attr("data-countq");
            var countA = $(this).attr("data-counta");
            localStorage.bldgName = $(this).attr("data-bldgName");
            window.location = "questionnaire.html?bldgId=" + bldgId + "&countq=" + countQ + "&counta=" + countA;
        });
        $("table.tb_gba").on("click", "span", function (e) {
            e.preventDefault();
            var bldgId = $(this).attr("data-bldg");
            var countQ = $(this).attr("data-countq");
            var countA = $(this).attr("data-counta");
            localStorage.bldgName = $(this).attr("data-bldgName");
            window.location = "questionnaire.html?bldgId=" + bldgId + "&countq=" + countQ + "&counta=" + countA;
        });
    };

})();
function getbldgTypeList() {
    var htmlcode = "";

    var Pmt = "";
    var pageUrl = "bldgType/list?";
    var pagePmt = Pmt;
    
    var rtnData = accessServer(pageUrl, pagePmt);
    var jsonList;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            jsonList = rtnData.dictbldgTypeList;
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '获取建筑类型列表失败',            // title
                '确定'                 // buttonName
            );
            return false;
        }
    }
    if (jsonList == null || jsonList.length == 0) {
        htmlcode = "";
        localStorage.TypeList = "[]";
    }
    else {
        //获取成功
        localStorage.TypeList = JSON.stringify(jsonList);
        $.each(jsonList, function (i, list) {
            htmlcode = "<option value=" + list.typeId + ">" + list.typeName + "</option>";
            $("#sel_type").append(htmlcode);
        });
    }
}
function getbldgGradeList() {
    var htmlcode = "";

    var Pmt = "";
    var pageUrl = "bldgType/gradeList?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    var jsonList;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            jsonList = rtnData.dictbldgGradeList;
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '获取建筑类型列表失败',            // title
                '确定'                 // buttonName
            );
            return false;
        }
    }
    if (jsonList == null || jsonList.length == 0) {
        localStorage.GradeList = "{}";
    }
    else {
        localStorage.GradeList = JSON.stringify(jsonList);
    }
}
function getCityList() {
    var htmlcode = "";

    var Pmt = "";
    var pageUrl = "bldgType/cityList?";
    var pagePmt = Pmt;
    
    var rtnData = accessServer(pageUrl, pagePmt);
    var jsonList;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            jsonList = rtnData.cityList;
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '获取城市列表失败',            // title
                '确定'                 // buttonName
            );
            return false;
        }
    }
    if (jsonList == null || jsonList.length == 0) {
        localStorage.CityList = "[]";
    }
    else {
        localStorage.CityList = JSON.stringify(jsonList);
        var SQL = "";
        var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
        dbLocal.transaction(function (tx) {
            tx.executeSql("DROP TABLE IF EXISTS city;");
            SQL = "CREATE TABLE city (";
            SQL += "id int(11) NOT NULL,name varchar(20) NOT NULL,";
            SQL += "shouzimu varchar(1) NOT NULL,";
            SQL += "PRIMARY KEY (id)) ;";
            tx.executeSql(SQL);

            $.each(jsonList, function (i, list) {
                SQL = "INSERT INTO city ";
                SQL += "(id,name,shouzimu) Values ";
                SQL += "(" + list.id + ",'" + list.name + "','" + list.shouzimu + "');";
                tx.executeSql(SQL);
            });
            /*
            SQL = "Select id,name,shouzimu From city Order By shouzimu,name ;";
            tx.executeSql(SQL, [], function (transaction, res) {
                var lens = res.rows.length;
                localStorage.CityList = "[";
                for (var i = 0; i < lens; i++) {
                    var cityId = res.rows.item(i).id;
                    var cityName = res.rows.item(i).name;
                    var cityShouzimu = res.rows.item(i).shouzimu;
                    if (localStorage.CityList.length > 1)
                        localStorage.CityList += ",";
                    localStorage.CityList += "{id:"+cityId+",name:"+cityName+",shouzimu:"+cityShouzimu+"}";
                }
                localStorage.CityList += "]";
            });
            */
        });
    }
}
function getProjectList() {
    var htmlcode = "";

    var searchString = $("#ipt_search").val();
    var proType = $("#sel_type option:selected").val();
    searchString = $.trim(searchString);

    var Pmt = "bldgType=" + proType;
    Pmt += "&bldgName=" + searchString;
    Pmt += "&page=" + listPage;

    var pageUrl = "greenbuild/bldglist?";
    var pagePmt = Pmt;
    
    var rtnData = accessServer(pageUrl, pagePmt);
    var jsonProList;
    
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            jsonProList = rtnData.list;
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '获取项目列表失败',            // title
                '确定'                 // buttonName
            );
            return false;
        }
    }
    if (jsonProList == null || jsonProList.length == 0) {
        htmlcode = "";
    }
    else {
        //获取成功
        listPage++;

        var jsonType = JSON.parse(localStorage.TypeList);
        var jsonGrade = JSON.parse(localStorage.GradeList);
        var jsonCity = JSON.parse(localStorage.CityList);

        $.each(jsonProList, function (i, pro) {
            var countQ = pro.countQ;
            var countA = pro.countA;
            var countStar = pro.countStar;

            if (countQ == null)
                countQ = 0;
            if (countA == null)
                countA = 0;
            if (countStar == null)
                countStar = 0;

            var divProInfo = "<div class='div_project'>";
            divProInfo += "<div class='div_proinfo'>";
            divProInfo += "<span class='pro_title'>" + pro.bldgName + "</span>";
            divProInfo += "<p class='pro_info'>";
            //divProInfo += pro.cityId + " " + pro.bldgGrade + pro.bldgType + "；";
            
            $.each(jsonCity, function (i, j) {
                if(pro.cityId==j.id)
                {
                    divProInfo += j.name + " ";
                    return false;
                }
            });
            $.each(jsonGrade, function (i, j) {
                if (pro.bldgGrade == j.gradeId) {
                    divProInfo += j.gradeName;
                    return false;
                }
            });
            $.each(jsonType, function (i, j) {
                if (pro.bldgType == j.typeId) {
                    divProInfo += j.typeName + " ";
                    return false;
                }
            });
            
            //divProInfo += "乌鲁木齐" + " " + "超甲级" + "写字楼" + "；";
            divProInfo += "地面高度 " + pro.bldgHeight + " 米，" + pro.bldgFloors + " 层";
            divProInfo += "</p></div>";

            divProInfo += "<div class='div_gba'>";
            divProInfo += "<table class='tb_gba' border='0' cellpadding='0' cellspacing='0' align='center'>";
            divProInfo += "<tr><td>";
            if (countQ > 0 && countQ == countA && countStar>0)
            {
                //已完成问卷
                for(var s=0;s<countStar;s++)
                    divProInfo += "<img src='images/star_green_full.png'>";
            }
            else
            {
                if (countQ > 0)
                {
                    divProInfo += "完成   " + parseInt(countA / countQ * 100) + " %";
                }
                else
                {
                    divProInfo += "完成   0 %";
                }
                
            }
            divProInfo += "</td></tr>";
            divProInfo += "<tr><td><span data-bldg='" + pro.bldgId + "' ";
            divProInfo += "data-bldgName='" + pro.bldgName + "' ";
            divProInfo += "data-countq=" + countQ + " ";
            divProInfo += "data-counta=" + countA + ">";
            if (countQ > 0 && countQ == countA) {
                //已完成问卷
                divProInfo += "重新评估";
            }
            else {
                divProInfo += "继续评估";
            }
            divProInfo += "</span></td></tr>";
            divProInfo += "</table>";

            divProInfo += "<table class='tb_opt' border='0' cellpadding='0' cellspacing='0' align='center'>";
            divProInfo += "<tr><td>";
            divProInfo += "<span data-bldg='" + JSON.stringify(pro) + "'></span>";
            divProInfo += "</td></tr>";
            divProInfo += "</table>";

            divProInfo += "</div>";
            //divProInfo += "<div class='div_opt'></div>";
            divProInfo += "</div>";

            $("div.div_body_list").append(divProInfo);
        });
    }

}

function dropProject(bldgInfo) {
    var jsonBldgInfo = JSON.parse(bldgInfo);
    var Pmt = "bldgId=" + jsonBldgInfo.bldgId;
    var pageUrl = "bldgInfo/delete?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    if (rtnData == null)
        return false;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            return true;
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return false;
                 },         // callback
                '删除项目信息失败',            // title
                '确定'                 // buttonName
            );
            return false;
        }
    }
}
