﻿(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {
        var SQL = "";
        var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
        
        //检查本地数据是否最新
        if (localStorage.lastVersion > localStorage.qVersion) {
            //获取最新问卷
            var pageUrl = "greenbuild/qlist?";
            var rtnData = accessServer(pageUrl, "verId=" + localStorage.lastVersion);
            var greenbuildingType,greenbuildingPart, greenbuildingQuestion;
            if (rtnData == null)
                return;
            else {
                if (rtnData.respCode == "OK") {
                    //获取远程数据成功
                    greenbuildingType = rtnData.greenbuildingType;
                    greenbuildingPart = rtnData.greenbuildingPart;
                    greenbuildingQuestion = rtnData.greenbuildingQuestion;
                }
                else {
                    //获取远程数据失败
                    navigator.notification.alert(
                         rtnData.respDesc,  // message
                         function () {
                             return;
                         },         // callback
                        '获取远程数据失败',            // title
                        '确定'                 // buttonName
                    );
                    return;
                }
            }

            //问卷类型表
            dbLocal.transaction(function (txLocalData) {
                SQL = "Delete From greenbuilding_type Where qVersion='" + localStorage.lastVersion + "';";
                txLocalData.executeSql(SQL);
                $.each(greenbuildingType, function (i, jsonObj) {
                    SQL = "Insert Into greenbuilding_type ";
                    var jsonKeys = "";
                    var jsonVals = "";
                    for (var key in jsonObj) {
                        if (jsonKeys.length > 0)
                            jsonKeys += ",";
                        jsonKeys += key;
                        if (jsonVals.length > 0)
                            jsonVals += ",";
                        jsonVals += "'" + jsonObj[key] + "'";
                    }
                    SQL += "(" + jsonKeys + ") Values (" + jsonVals + ");";
                    txLocalData.executeSql(SQL);
                });
                
                //问卷章节表
                SQL = "Delete From greenbuilding_part Where qVersion='" + localStorage.lastVersion + "';";
                txLocalData.executeSql(SQL);
                $.each(greenbuildingPart, function (i, jsonObj) {
                    SQL = "Insert Into greenbuilding_part ";
                    var jsonKeys = "";
                    var jsonVals = "";
                    for (var key in jsonObj) {
                        if (jsonKeys.length > 0)
                            jsonKeys += ",";
                        jsonKeys += key;
                        if (jsonVals.length > 0)
                            jsonVals += ",";
                        jsonVals += "'" + jsonObj[key] + "'";
                    }
                    SQL += "(" + jsonKeys + ") Values (" + jsonVals + ");";
                    txLocalData.executeSql(SQL);
                });
                
                //问卷表
                SQL = "Delete From greenbuilding_question Where qVersion='" + localStorage.lastVersion + "';";
                txLocalData.executeSql(SQL);
                $.each(greenbuildingQuestion, function (i, jsonObj) {
                    SQL = "Insert Into greenbuilding_question ";
                    var jsonKeys = "";
                    var jsonVals = "";
                    for (var key in jsonObj) {
                        if (jsonKeys.length > 0)
                            jsonKeys += ",";
                        jsonKeys += key;
                        if (jsonVals.length > 0)
                            jsonVals += ",";
                        jsonVals += "'" + jsonObj[key] + "'";
                    }
                    SQL += "(" + jsonKeys + ") Values (" + jsonVals + ");";
                    txLocalData.executeSql(SQL);

                });

                localStorage.qVersion = localStorage.lastVersion;
                SQL = "Update userInfo Set qVersion='" + localStorage.lastVersion + "';";
                txLocalData.executeSql(SQL);
            }, function (error) {
                navigator.notification.alert(
                    'Transaction ERROR: ' + error.message,  // message
                    function () {
                        return;
                    },         // callback
                    '数据执行失败',            // title
                    '确定'                 // buttonName
                );
            }, function () {
                window.location = "ProjectList.html";
            });
        }
        else
            window.location = "ProjectList.html";
        
    };
        
})();