﻿(function () {
    "use strict";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onDeviceReady() {
        var url = location.href;
        var ParentUrl = getParameter(url, "parenturl");

        $("#btn_back").click(function (e) {
            window.location = ParentUrl;
        });

        $("#btnRestPwd").click(function (e) {
            var Url = "http://www.zcloud-online.com/userservice/forgetpassword.jsp";
            window.open(Url, '_system');
        });

        $("#btnQuitAccount").click(function (e) {
            navigator.notification.confirm(
                '将当前用户退出登录将清除当前用户的登录信息，是否确定此操作？',  // 显示信息 
                function (button) {
                    if (button == 2) {
                        if (ExitAccount()) {
                            localStorage.userId = "";
                            localStorage.userName = "";
                            localStorage.userPwd = "";
                            localStorage.authToken = "";

                            window.location = "login.html";
                        }
                    }

                },              // 按下按钮后触发的回调函数，返回按下按钮的索引
                '注销当前用户',            // 标题 
                '取消,确定'          // 按钮标签 

            );
        });
        
        GetAccount();
    };

})();

function GetAccount() {
    var pageUrl = "userinfo/info?";
    var pagePmt = "";

    var rtnData = accessServer(pageUrl, pagePmt);
    var userInfo;
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取成功
            userInfo = rtnData.userInfo;
            if (userInfo.userName == null)
                $("#userName").text("");
            else
                $("#userName").text(userInfo.userName);

            if (userInfo.userRealName == null)
                $("#userRealName").text("");
            else
                $("#userRealName").text(userInfo.userRealName);

            if (userInfo.userEmail == null)
                $("#userEmail").text("");
            else
                $("#userEmail").text(userInfo.userEmail);

            if (userInfo.userCompany == null)
                $("#userCompany").text("");
            else
                $("#userCompany").text(userInfo.userCompany);

            if (userInfo.userJob == null)
                $("#userJob").text("");
            else
                $("#userJob").text(userInfo.userJob);

            if (userInfo.userCellphone == null)
                $("#userCellphone").text("");
            else
                $("#userCellphone").text(userInfo.userCellphone);
        }
        else {
            //获取失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '获取数据失败',            // title
                '确定'                 // buttonName
            );
        }
    }
}

function ExitAccount() {
    var pageUrl = "userinfo/logout?";
    var pagePmt = "";

    var rtnData = accessServer(pageUrl, pagePmt);
    if (rtnData == null)
        return false;
    else {
        if (rtnData.respCode == "OK") {
            var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
            //退出账户成功
            dbLocal.transaction(function (tx) {
                //删除用户数据
                var SQL = "Delete From userInfo ;";
                tx.executeSql(SQL);
            }, function (error) {
                navigator.notification.alert(
                    '用户注销失败，' + error.message,  // message
                    function () {
                        return;
                    },         // callback
                    '用户注销失败',            // title
                    '确定'                 // buttonName
                );
            }, function () {
                localStorage.userId = "";
                localStorage.userName = "";
                localStorage.userPwd = "";
                localStorage.authToken = "";

                window.location = "login.html";
            });

        }
        else {
            //退出账户失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return false;
                 },         // callback
                '获取数据失败',            // title
                '确定'                 // buttonName
            );
        }
    }
}
