﻿(function () {
    "use strict";
    
    document.addEventListener("deviceready", onDeviceReady, false);

    function onDeviceReady() {
        navigator.splashscreen.show();
        localStorage.userId = "";
        localStorage.userName = "";
        localStorage.userPwd = "";
        localStorage.qVersion = 0;
        
        var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
        dbLocal.transaction(function (tx) {
            var SQL = "";
            /*
            tx.executeSql("DROP TABLE IF EXISTS greenbuilding_type;");
            tx.executeSql("DROP TABLE IF EXISTS greenbuilding_part;");
            tx.executeSql("DROP TABLE IF EXISTS greenbuilding_question;");
            tx.executeSql("DROP TABLE IF EXISTS userInfo;");
            */
            //创建问卷类型表
            SQL = "CREATE TABLE IF NOT EXISTS greenbuilding_type ";
            SQL += "(typeId int(11) NOT NULL,";
            SQL += "typeName varchar(20) DEFAULT NULL,";
            SQL += "qVersion int(11) NOT NULL,";
            SQL += "grade1 int(11) NOT NULL,";
            SQL += "grade2 int(11) NOT NULL,";
            SQL += "grade3 int(11) NOT NULL,";
            SQL += "PRIMARY KEY (typeId,qVersion));";
            //tx.executeSql(SQL, [], dbOK, dbErr);
            tx.executeSql(SQL);

            //创建问卷章节表
            SQL = "CREATE TABLE IF NOT EXISTS greenbuilding_part ";
            SQL += "(partId int(11) NOT NULL,";
            SQL += "partName varchar(200) DEFAULT NULL,"; 
            SQL += "partBgcolor varchar(10) DEFAULT NULL,";
            SQL += "qVersion int(11) NOT NULL,";
            SQL += "PRIMARY KEY (partId,qVersion));";
            tx.executeSql(SQL);

            //创建问卷表
            SQL = "CREATE TABLE IF NOT EXISTS greenbuilding_question ";
            SQL += "(partId int(11) NOT NULL,";
            SQL += "qId int(11) NOT NULL,";
            SQL += "typeId int(11) NOT NULL,";
            SQL += "qContent varchar(800) DEFAULT NULL,";
            SQL += "qVersion int(11) NOT NULL,";
            SQL += "PRIMARY KEY (partId,qId,qVersion));";
            tx.executeSql(SQL);
            
            //创建用户信息表
            SQL = "CREATE TABLE IF NOT EXISTS userInfo ";
            SQL += "(userId  TEXT(50) NOT NULL,userName  TEXT(50),userPwd  TEXT(50) NOT NULL,";
            SQL += "userKey  TEXT(50),";
            SQL += "qVersion int(11) NOT NULL,";
            SQL += "PRIMARY KEY (userId ASC));";
            tx.executeSql(SQL);
            
            SQL = "Select userId,userName,userPwd,qVersion From userInfo ;";
            tx.executeSql(SQL, [], function (transaction, res) {
                var lens = res.rows.length;
                if (lens == 1) {
                    //数据库中有有效用户数据
                    localStorage.userId = res.rows.item(0).userId;
                    localStorage.userName = res.rows.item(0).userName;
                    localStorage.userPwd = res.rows.item(0).userPwd;
                    localStorage.qVersion = res.rows.item(0).qVersion;
                    //alert(localStorage.qVersion);
                    //localStorage.qVersion = 0;
                }
            }, function (err) {
                alert("Error " + err.code + " , " + err.message);
            });
        }, function (err) {
            alert("Error " + err.code + " , " + err.message);
        }, function () {
            var t = setTimeout("window.location='login.html'", 1000);
        });
    };

})();