﻿(function () {
    "use strict";

    document.addEventListener("deviceready", onDeviceReady, false);

    function onPause() {
        // TODO: 此应用程序已挂起。在此处保存应用程序状态。
    };

    function onResume() {
        // TODO: 此应用程序已重新激活。在此处还原应用程序状态。
    };

    function onDeviceReady() {
        // 处理 Cordova 暂停并恢复事件
        navigator.splashscreen.hide();

        localStorage.devPlatform = device.platform.toLowerCase();

        if (localStorage.devPlatform != "android") {
            $("#btn_poweroff").css("display", "none");
        }
        
        $("#btn_poweroff").click(function (e) {
            navigator.notification.confirm('您确定要退出应用吗?', function (buttonIndex) {
                if (buttonIndex == 2) {
                    navigator.app.exitApp();
                }
            }, '退出应用', ['取消', '确定']);
        });

        $("#btn_rgt").click(function (e) {
            window.location = "regist.html";
        });

        $("#btn_lgn").click(function (e) {
            var flagBreak = false;
            localStorage.userName = $("#userName").val();
            localStorage.userName = $.trim(localStorage.userName);

            localStorage.userPwd = $("#userPasswd").val();
            localStorage.userPwd = $.trim(localStorage.userPwd);


            if (localStorage.userName.length == 0) {
                flagBreak = true;
                navigator.notification.alert(
                     '请输入用户名/电邮地址',  // message
                     function () {
                         flagBreak = true;
                     },         // callback
                    '登录错误',            // title
                    '确定'                  // buttonName
                );
            }
            if (flagBreak)
                return;
            if (localStorage.userPwd.length == 0) {
                flagBreak = true;
                navigator.notification.alert(
                     '请输入登录密码',  // message
                     function () {
                         flagBreak = true;
                     },         // callback
                    '登录错误',            // title
                    '确定'                  // buttonName
                );
            }
            if (flagBreak)
                return;
            //用户手动登录
            userLogin(false);
        });

        //用户自动登录
        if (localStorage.userName.length > 0 && localStorage.userPwd.length > 0) {
            userLogin(true);
        }

    };

})();


function userLogin(flagAutoLogin) {
    getDevInfo();   //获取设备信息
    
    var Pmt = "userName=" + localStorage.userName;
    Pmt += "&userPwd=" + localStorage.userPwd;
    Pmt += "&devId=" + devUUID;
    Pmt += "&devModel=" + devModel;
    Pmt += "&devOs=" + devPlatform;
    Pmt += "&osVersion=" + devVersion;
    Pmt += "&appId=2016003";

    var pageUrl = "userinfo/login?";
    var pagePmt = Pmt;

    var rtnData = accessServer(pageUrl, pagePmt);
    
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //登录成功
            localStorage.userId = rtnData.userID;
            localStorage.userName = rtnData.userName;
            localStorage.authToken = rtnData.authToken;
            localStorage.appLevel = rtnData.level;
            
            var dbLocal = window.sqlitePlugin.openDatabase({ name: 'greenbuild.db', location: 'default' });
            //更新用户数据
            dbLocal.transaction(function (tx) {
                if (!flagAutoLogin) {
                    SQL = "Delete From userInfo;";
                    tx.executeSql(SQL);

                    //新的用户数据，插入本地数据库
                    SQL = "INSERT INTO userInfo ";
                    SQL += "(userId,userName,userPwd,qVersion) Values ";
                    SQL += "('" + localStorage.userId + "','" + localStorage.userName + "','" + localStorage.userPwd + "','" + localStorage.qVersion + "');";
                    tx.executeSql(SQL);
                }
            }, function (error) {
                navigator.notification.alert(
                    'Transaction ERROR: ' + error.message,  // message
                    function () {
                        return;
                    },         // callback
                    '数据执行失败',            // title
                    '确定'                 // buttonName
                );
            }, function () {
                CheckOK(true);
            });


        }
        else {
            //登录失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '登录失败',            // title
                '确定'                 // buttonName
            );
            return;
        }
    }
}
function CheckOK(dbt) {
    if (dbt) {
        GetVer();
        window.location = "UpdateLocalData.html";
    }
}
function GetVer()
{
    var pageUrl = "greenbuild/getver?";
    var rtnData = accessServer(pageUrl, "");
    if (rtnData == null)
        return;
    else {
        if (rtnData.respCode == "OK") {
            //获取最新问卷版本成功
            var jsonVer = rtnData.greenbuildingVer;
            localStorage.lastVersion = jsonVer.verId;
        }
        else {
            //获取最新问卷版本失败
            navigator.notification.alert(
                 rtnData.respDesc,  // message
                 function () {
                     return;
                 },         // callback
                '获取最新问卷版本失败',            // title
                '确定'                 // buttonName
            );
            return;
        }
    }
}